# Get Started

Palladium Devnet is deployed on Botanix EVM Testnet. To build with Palladium developers must deploy their dApp to Botanix Testnet.

### What is Botanix? <a href="#what-is-botanix-labs" id="what-is-botanix-labs"></a>

Botanix is fully equivalent with Ethereum. If you're familiar with using Ethereum mainnet, then Botanix will be the same except that everything will be denominated in BTC (gas fees etc).

This section walks you through everything you need to get started on Botanix:

1. [Set up your wallet](https://docs.botanixlabs.xyz/botanix-labs/how-to-use-botanix/getting-started-with-botanix/set-up-your-wallet)
2. [Get funds from a faucet](https://docs.botanixlabs.xyz/botanix-labs/how-to-use-botanix/getting-started-with-botanix/get-funds-from-a-faucet)
3. [Bridge some funds](https://docs.botanixlabs.xyz/botanix-labs/how-to-use-botanix/getting-started-with-botanix/bridge-some-funds)
4. [Send a transaction](https://docs.botanixlabs.xyz/botanix-labs/how-to-use-botanix/getting-started-with-botanix/send-a-transaction)
5. [Deploy your first contract](https://docs.botanixlabs.xyz/botanix-labs/build-dapps/introduction)

If you run into a problem, step on over to the [Botanix contact page](https://www.botanixlabs.xyz/en/contact).

### Chain details[**​**](https://docs.avax.network/build/dapp/launch-dapp#avalanche-mainnet-settings) <a href="#chain-details" id="chain-details"></a>

* **Network Name**: Botanix Testnet
* **New RPC URL**: [https://node.botanixlabs.dev](https://node.botanixlabs.dev/)
* **ChainID**: `3636`
* **Symbol**: `BTC`
* **Explorer**: <https://3xpl.com/botanix> or <https://blockscout.botanixlabs.dev/>

### Palladium Contracts <a href="#chain-details" id="chain-details"></a>

You can use below contract addresses to interact with Palladium protocol and integrate PUSD into your dApp. Please reach out to us on our Discord channel if you face any trouble.

&#x20;   "activePool": "0x3dbfDf42AEbb9aDfFDe4D8592D61b1de7bd7c26a",

&#x20;   "borrowerOperations": "0x46ECf770a99d5d81056243deA22ecaB7271a43C7",

&#x20;   "troveManager": "0x84400014b6bFA5b76d2feb4F460AEac8dd84B656",

&#x20;   "collSurplusPool": "0xAbaf80156857E05b1EB162552Bea517b25F29aD9",

&#x20;   "communityIssuance": "0x3b8225C88a66aF1C00416bCa3fbF938D128B84b9",

&#x20;   "defaultPool": "0xA9C3e24d94ef6003fB6064D3a7cdd40F87bA44de",

&#x20;   "hintHelpers": "0xA7B88e482d3C9d17A1b83bc3FbeB4DF72cB20478",

&#x20;   "lockupContractFactory": "0x672058B73396C78556fdddEc090202f066B98D71",

&#x20;   "pdmStaking": "0xd4d1D220a0D2d4D60cBD5502C5A372928f9649B9",

&#x20;   "priceFeed": "0xDC63FB38FDB04B7e2A9A01f1792a4e021538fc57",

&#x20;   "sortedTroves": "0x6AB8c9590bD89cBF9DCC90d5efEC4F45D5d219be",

&#x20;   "stabilityPool": "0x25ADF247aC836D35be924f4b701A0787A30d46a9",

&#x20;   "gasPool": "0xe931672196AB22B0c161b402B516f9eC33bD684c",

&#x20;   "unipool": "0x74C5E75798b33D38abeE64f7EC63698B7e0a10f1",

&#x20;   "pusdToken": "0x55FD5B67B115767036f9e8af569B281A8A544a12",

&#x20;   "pdmToken": "0xAa5Fd782B03Bfb2f25F13B6ae4e254F5149B9575",

&#x20;   "multiTroveGetter": "0xe8d223328543Cc10Edaa3292CE12C320CE43A099",

&#x20;   "uniToken": "0xE7C0E6b67b58e36BcAA45c2b783f384555C42d26".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.palladiumlabs.org/developers/get-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
